#ifndef GESTUREEXTENSION_H
#define GESTUREEXTENSION_H

#include <QString>

class QWidget;
namespace UkuiGestureExtension {

class GestureExtension
{
public:
    explicit GestureExtension() {}
    virtual ~GestureExtension() {}

    virtual void registerWidget(QWidget* widget) = 0;
    virtual void unregisterWidget(QWidget* widget) = 0;
    virtual bool isWidgetUseExtension(QWidget* widget) = 0;
    virtual const QString extensionId() { return "GestureExtension"; }

};

} // namespace

#endif // GESTUREEXTENSION_H
